Sie sind nicht angemeldet.

  • »AureusPhoenix« ist der Autor dieses Themas

Beiträge: 48

Registrierungsdatum: 06.09.2009

Derivat: Ubuntu

Architektur: 64-Bit PC

  • Nachricht senden

1

11.10.2010, 22:50

DockbarX zerschießt Software-center und mehr

Hi leute,
ich hatte heute versucht Ubuntu 10.10 zu installieren und dachte erst, dass es daran liegt. Aber nach reinstallation von 10.04 ist das Problem auch da aufgetreten.
Und zwar habe ich folgende Dinge gemacht:

1. Ubuntu installiert
2. Updates durchgeführt
3. Grafiktreiber geladen
4. AWN und DockbarX installiert

Prompt nach dem Neustart funktioniert das SoftwareCenter nicht mehr und ich bekomme eine Fehlermeldung im Benachrichtigungsfeld:

Zitat

Ein Fehler ist aufgetreten. Bitte starten Sie die Paketverwaltung aus dem Kontextmenü oder apt-get in einem Terminal, um herauszufinden, wo das Problem liegt. Die Fehlermeldung lautet: >> Unbekannter Fehler: >> <type 'exceptions.SystemError'> << (E:Opening configuration file /etc/apt/apt.conf.d/99synaptic - ifstream::ifstream (13: Permission denied))<< Dies bedeutet in der Regel, dass die Abhängigkeiten von installierten Paketen nicht erfüllt werden können.

Kann mir jemand sagen was das ist und wie ich es beheben kann?
Schonmal VIELEN DANK für eure Hilfe!


Grüße

2

11.10.2010, 23:01

Dann mach doch mal ein

Quellcode

1
sudo apt-get update

Quellcode

1
sudo apt-get upgrade


und poste die Ausgaben hier.

fremdkoerperfalle

Gesperrter Benutzer

  • »fremdkoerperfalle« wurde gesperrt

Beiträge: 535

Registrierungsdatum: 15.10.2014

Derivat: unbekannt

Architektur: unbekannt

Desktop: unbekannt

Andere Betriebssysteme: Debian Jessie, Android-x86 Vbox

  • Nachricht senden

3

11.10.2010, 23:02

Zitat


Dies bedeutet in der Regel, dass die Abhängigkeiten von installierten Paketen nicht erfüllt werden können.


Du kannst hier mal durchlaufen lassen:

Quellcode

1
2
3
sudo apt-get update

sudo apt-get upgrade


Wenn da Probleme festgestellt werden (bzgl. der Abhängigkeiten), kommt oft der Vorschlag diese zu beheben mit:

Quellcode

1
sudo apt-get -f install


Wenn das nicht funktioniert, kannst Du auch gleich mal deine /etc/apt/sources.list posten.

  • »AureusPhoenix« ist der Autor dieses Themas

Beiträge: 48

Registrierungsdatum: 06.09.2009

Derivat: Ubuntu

Architektur: 64-Bit PC

  • Nachricht senden

4

11.10.2010, 23:11

Hi Leute, danke für eure schnelle Hilfe.

Hier die Ausgaben (die leider keine Besserung gebracht haben und auch meiner Leihenmeinung nach ok aussehen)

Update & Upgrade

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
aureusphoenix@Vettis-PC:~$ sudo apt-get update
[sudo] password for aureusphoenix: 
OK   http://ppa.launchpad.net lucid Release.gpg
Ign http://ppa.launchpad.net/dockbar-main/ppa/ubuntu/ lucid/main Translation-de
OK   http://de.archive.ubuntu.com lucid Release.gpg                   	
OK   http://de.archive.ubuntu.com/ubuntu/ lucid/main Translation-de    	
OK   http://de.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-de  
OK   http://archive.canonical.com lucid Release.gpg                    	
Ign http://archive.canonical.com/ubuntu/ lucid/partner Translation-de  	
OK   http://ppa.launchpad.net lucid Release                            	
OK   http://security.ubuntu.com lucid-security Release.gpg             	
Ign http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-de  
Ign http://security.ubuntu.com/ubuntu/ lucid-security/restricted Translation-de
OK   http://de.archive.ubuntu.com/ubuntu/ lucid/universe Translation-de    	
OK   http://de.archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-de  
OK   http://de.archive.ubuntu.com lucid-updates Release.gpg                	
Ign http://de.archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-de 	
Ign http://de.archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-de
Ign http://de.archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-de 
Ign http://de.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-de
OK   http://de.archive.ubuntu.com lucid Release                        	
OK   http://archive.canonical.com lucid Release                            	
Ign http://security.ubuntu.com/ubuntu/ lucid-security/universe Translation-de  
Ign http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-de
OK   http://ppa.launchpad.net lucid/main Packages                      	
OK   http://security.ubuntu.com lucid-security Release                 	
OK   http://de.archive.ubuntu.com lucid-updates Release                	
OK   http://archive.canonical.com lucid/partner Packages               	
OK   http://security.ubuntu.com lucid-security/main Packages           	
OK   http://de.archive.ubuntu.com lucid/main Packages
OK   http://de.archive.ubuntu.com lucid/restricted Packages
OK   http://de.archive.ubuntu.com lucid/main Sources
OK   http://de.archive.ubuntu.com lucid/restricted Sources
OK   http://de.archive.ubuntu.com lucid/universe Packages
OK   http://archive.canonical.com lucid/partner Sources
OK   http://security.ubuntu.com lucid-security/restricted Packages
OK   http://security.ubuntu.com lucid-security/main Sources
OK   http://security.ubuntu.com lucid-security/restricted Sources
OK   http://security.ubuntu.com lucid-security/universe Packages
OK   http://de.archive.ubuntu.com lucid/universe Sources
OK   http://de.archive.ubuntu.com lucid/multiverse Packages
OK   http://de.archive.ubuntu.com lucid/multiverse Sources
OK   http://de.archive.ubuntu.com lucid-updates/main Packages
OK   http://de.archive.ubuntu.com lucid-updates/restricted Packages
OK   http://de.archive.ubuntu.com lucid-updates/main Sources
OK   http://de.archive.ubuntu.com lucid-updates/restricted Sources
OK   http://de.archive.ubuntu.com lucid-updates/universe Packages
OK   http://security.ubuntu.com lucid-security/universe Sources
OK   http://security.ubuntu.com lucid-security/multiverse Packages
OK   http://security.ubuntu.com lucid-security/multiverse Sources
OK   http://de.archive.ubuntu.com lucid-updates/universe Sources
OK   http://de.archive.ubuntu.com lucid-updates/multiverse Packages
OK   http://de.archive.ubuntu.com lucid-updates/multiverse Sources
Paketlisten werden gelesen... Fertig

aureusphoenix@Vettis-PC:~$ sudo apt-get upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut   	
Status-Informationen einlesen... Fertig
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.


Und hier sources.list

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
# deb cdrom:[Ubuntu 10.04.1 LTS _Lucid Lynx_ - Release amd64 (20100816.1)]/ lucid main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://de.archive.ubuntu.com/ubuntu/ lucid main restricted
deb-src http://de.archive.ubuntu.com/ubuntu/ lucid main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://de.archive.ubuntu.com/ubuntu/ lucid-updates main restricted
deb-src http://de.archive.ubuntu.com/ubuntu/ lucid-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://de.archive.ubuntu.com/ubuntu/ lucid universe
deb-src http://de.archive.ubuntu.com/ubuntu/ lucid universe
deb http://de.archive.ubuntu.com/ubuntu/ lucid-updates universe
deb-src http://de.archive.ubuntu.com/ubuntu/ lucid-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://de.archive.ubuntu.com/ubuntu/ lucid multiverse
deb-src http://de.archive.ubuntu.com/ubuntu/ lucid multiverse
deb http://de.archive.ubuntu.com/ubuntu/ lucid-updates multiverse
deb-src http://de.archive.ubuntu.com/ubuntu/ lucid-updates multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://de.archive.ubuntu.com/ubuntu/ lucid-backports main restricted universe multiverse
# deb-src http://de.archive.ubuntu.com/ubuntu/ lucid-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu lucid partner
deb-src http://archive.canonical.com/ubuntu lucid partner

deb http://security.ubuntu.com/ubuntu lucid-security main restricted
deb-src http://security.ubuntu.com/ubuntu lucid-security main restricted
deb http://security.ubuntu.com/ubuntu lucid-security universe
deb-src http://security.ubuntu.com/ubuntu lucid-security universe
deb http://security.ubuntu.com/ubuntu lucid-security multiverse
deb-src http://security.ubuntu.com/ubuntu lucid-security multiverse

fremdkoerperfalle

Gesperrter Benutzer

  • »fremdkoerperfalle« wurde gesperrt

Beiträge: 535

Registrierungsdatum: 15.10.2014

Derivat: unbekannt

Architektur: unbekannt

Desktop: unbekannt

Andere Betriebssysteme: Debian Jessie, Android-x86 Vbox

  • Nachricht senden

5

11.10.2010, 23:16

Ok, das sieht soweit gut aus.

ABER:

Zitat


E:Opening configuration file /etc/apt/apt.conf.d/99synaptic - ifstream::ifstream (13: Permission denied


Nun poste mal die Ausgabe von:

Quellcode

1
ls -la /etc/apt/apt.conf.d/99synaptic

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »fremdkoerperfalle« (11.10.2010, 23:18)


  • »AureusPhoenix« ist der Autor dieses Themas

Beiträge: 48

Registrierungsdatum: 06.09.2009

Derivat: Ubuntu

Architektur: 64-Bit PC

  • Nachricht senden

6

11.10.2010, 23:17

Quellcode

1
-rw-r----- 1 root root 32 2010-10-11 23:08 /etc/apt/apt.conf.d/99synaptic

fremdkoerperfalle

Gesperrter Benutzer

  • »fremdkoerperfalle« wurde gesperrt

Beiträge: 535

Registrierungsdatum: 15.10.2014

Derivat: unbekannt

Architektur: unbekannt

Desktop: unbekannt

Andere Betriebssysteme: Debian Jessie, Android-x86 Vbox

  • Nachricht senden

7

11.10.2010, 23:19

Ok dann bieg die Rechte mal wieder zurecht per:

Quellcode

1
sudo chmod 644 /etc/apt/apt.conf.d/99synaptic


Gehts dann?

  • »AureusPhoenix« ist der Autor dieses Themas

Beiträge: 48

Registrierungsdatum: 06.09.2009

Derivat: Ubuntu

Architektur: 64-Bit PC

  • Nachricht senden

8

11.10.2010, 23:24

JUHU !!!
Super, das funzt!

Ein hoch auf eine funktionierende Comunity! Dank dir.
Trotzdem irgendwie komisch, dass die Rechte durcheinander gekommen sind. Ich hab nix manuell eingestellt.

Dann kann ich ja jetzt wieder 10.10 installieren ...

fremdkoerperfalle

Gesperrter Benutzer

  • »fremdkoerperfalle« wurde gesperrt

Beiträge: 535

Registrierungsdatum: 15.10.2014

Derivat: unbekannt

Architektur: unbekannt

Desktop: unbekannt

Andere Betriebssysteme: Debian Jessie, Android-x86 Vbox

  • Nachricht senden

9

11.10.2010, 23:28

Wie sehen denn die anderen Rechte in dem Verzeichnis aus?

Quellcode

1
ls -la /etc/apt/apt.conf.d/

  • »AureusPhoenix« ist der Autor dieses Themas

Beiträge: 48

Registrierungsdatum: 06.09.2009

Derivat: Ubuntu

Architektur: 64-Bit PC

  • Nachricht senden

10

12.10.2010, 08:43

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
drwxr-xr-x 2 root root 4096 2010-10-12 08:19 .
drwxr-xr-x 6 root root 4096 2010-10-12 08:14 ..
-rw-r--r-- 1 root root   40 2010-10-11 23:39 00trustcdrom
-rw-r--r-- 1 root root  395 2010-10-05 16:15 01autoremove
-rw-r--r-- 1 root root  129 2008-11-11 12:19 10periodic
-rw-r--r-- 1 root root  108 2008-11-11 12:19 15update-stamp
-rw-r--r-- 1 root root   85 2008-11-11 12:19 20archive
-rw-r--r-- 1 root root  243 2009-12-16 09:02 20dbus
-rw-r--r-- 1 root root 1169 2010-08-26 18:48 50unattended-upgrades
-rw-r--r-- 1 root root  182 2010-09-27 23:04 70debconf
-rw-r--r-- 1 root root   32 2010-10-12 08:19 99synaptic
-rw-r--r-- 1 root root  231 2010-06-01 15:19 99update-notifier